Bug 612611 - Firstboot starts up on top of an active console.
Firstboot starts up on top of an active console.
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: firstboot (Show other bugs)
6.0
x86_64 Linux
low Severity low
: beta
: ---
Assigned To: Martin Gracik
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-08 11:36 EDT by Michael De La Rue
Modified: 2013-07-04 08:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-01 15:44:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael De La Rue 2010-07-08 11:36:44 EDT
Description of problem:
firstboot can end up running on top of an active console.  


Version-Release number of selected component (if applicable):
1.110.4-1.el6

How reproducible:
seen one time

Steps to Reproduce:
1. install with textmode (add "nomodeset text"  to standard kernel boot line
2. telinit 5 
3. realise that lots of sw is missing
4. yum install "X Windows System" "Desktop" "Polish Support" "Development tools"
5. telinit 3

  
Actual results:
on console 1 firstboot ran

Expected result:
if firsboot runs, it should grab its own console

Additional info:
Comment 2 Martin Gracik 2010-07-14 09:01:53 EDT
I don't see why this is a bug. In my opinion, firstboot should discourage the average user from doing anything else while it is running. So it will grab the actual console, and return to it after you finish. If you want to have a console available, while running firstboot, you should switch to another terminal.
Looking at the steps required to reproduce this, it is not a standard installation, so you should not have any difficulties opening a new terminal, if you need it.
Comment 3 RHEL Product and Program Management 2010-10-01 15:44:51 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.